# Mastery test 1 - part 1

def hello():
    """
    >>> hello()
    Hello, world!
    """
    print 'Hello, world!'


def is_divisible(a, b):
    """
    >>> is_divisible(12, 4)
    True
    >>> is_divisible(2, 5)
    False
    """
    print a % b == 0


def maximum(a, b, c):
    """
    >>> maximum(3, 12, 7)
    12
    >>> maximum(-9, -33, -7)
    -7
    """
    print max(a, b, c)


def my_add(a, b):
    """
    >>> my_add(2, 3)
    5
    >>> my_add('Jim', 'Bob')
    JimBob
    """
    print a + b


def what_am_i(something):
    """
    >>> what_am_i('bob')
    <type 'str'>
    >>> what_am_i(3)
    <type 'int'>
    >>> what_am_i(str)
    <type 'type'>
    """
    return type(something)


if __name__ == '__main__':
    import doctest
    doctest.testmod(verbose=True)
